package cz.muni.fi.pa165.soccermanager.dto.request;

import java.time.LocalDate;
import javax.validation.constraints.FutureOrPresent;
import javax.validation.constraints.NotNull;
import lombok.Data;

@Data
public class CreateMatchRequest {

  @NotNull
  @FutureOrPresent
  private LocalDate startDate;

  private String playPlace;

  @NotNull
  private Long challenger;

  @NotNull
  private Long defender;

}
