package cz.muni.fi.pa165.soccermanager.dto.request;

import cz.muni.fi.pa165.soccermanager.enums.PlayerState;
import cz.muni.fi.pa165.soccermanager.enums.Position;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import lombok.Data;

@Data
public class UpdatePlayerDto {

  private Long id;
  @NotNull
  private int dressNumber;
  @NotBlank
  private  String name;
  @NotNull
  private int height;
  @NotNull
  private double weight;
  private Long team;

  @NotNull
  private Position position;

  @NotNull
  private PlayerState state;
}
