import './css/footer.css';

const Footer = () => {
    return (
        <div className="bg-dark text-white text-center">
            <div className="container p-4">
                <div className="row">

                    <div className="col-lg-6 col-md-12 mb-4 mb-md-0 footer-devs">
                        <a href="https://is.muni.cz/auth/course/fi/spring2022/PA165" className="link">
                            <h5 className="">FI:PA165 PA165 Enterprise Java - Seminars</h5>
                        </a>

                        <ul className="list-unstyled mb-0">
                            <li className="">
                                <a href="https://is.muni.cz/auth/person/485584" className="link">Petr Adamec - team leader</a>
                            </li>
                            <li>
                                <a href="https://is.muni.cz/auth/person/506549" className="link">Stanislav Koshchienko</a>
                            </li>
                            <li>
                                <a href="https://is.muni.cz/auth/person/514699" className="link">Vitalii Bortsov</a>
                            </li>
                            <li>
                                <a href="https://is.muni.cz/auth/person/527362" className="link">Petr Balazy</a>
                            </li>
                        </ul>
                    </div>

                    <div className="col-lg-3 col-md-6 mb-4 mb-md-0">
                        <a href="https://gitlab.fi.muni.cz/xadamec1/sportClub" className="link">
                            <img src="/gitlab.svg" width="85" height="85" lass="float-center" alt="Gitlab link" />
                        </a>
                    </div>

                    <div className="col-lg-3 col-md-6 mb-4 mb-md-0">
                        <a href="https://www.fi.muni.cz/" className="link">
                            <img src="/muni-logo.svg" width="85" height="85" lass="float-center" alt="MUNI FI link" />
                        </a>
                    </div>
                </div>
            </div>

            <div className="text-center p-3 copyright">© 2022 Copyright: MUNI FI</div>
        </div>
    );
}

export default Footer;