package cz.muni.fi.pa165.soccermanager.dto;

import javax.validation.constraints.NotNull;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.time.LocalDate;

@Data
public class LeagueDto {

    private Long id;

    @NotBlank
    private String name;

    @NotNull
    private LocalDate startDate;

    @NotNull
    private LocalDate endDate;
}
