package cz.muni.fi.pa165.soccermanager.dto;

import javax.validation.constraints.FutureOrPresent;
import javax.validation.constraints.NotNull;
import lombok.Data;

import java.time.LocalDate;

/**
 * @author Stanislav Koshchienko (uco: 506549)
 */
@Data
public class MatchDto {

    private Long id;

    @NotNull
    @FutureOrPresent
    private LocalDate startDate;

    private String playPlace;

    private MatchScoreDto result;

    private ReferenceDto defender;
    private ReferenceDto challenger;
}
