package cz.muni.fi.pa165.soccermanager.dto;

import cz.muni.fi.pa165.soccermanager.enums.PlayerState;
import cz.muni.fi.pa165.soccermanager.enums.Position;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import lombok.Data;

@Data
public class PlayerDto {

    private Long id;

    private int dressNumber;
    @NotBlank
    private  String name;
    @NotNull
    private int height;
    @NotNull
    private double weight;

    @NotNull
    private ReferenceDto team;

    private Position position;

    @NotNull
    private PlayerState state;
}
