package cz.muni.fi.pa165.soccermanager.dto.request;

import javax.validation.constraints.FutureOrPresent;
import javax.validation.constraints.NotNull;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.time.LocalDate;

/**
 * @author Stanislav Koshchienko (uco: 506549)
 */
@Data
public class CreateLeagueRequest {

    @NotBlank
    private String name;

    @NotNull
    @FutureOrPresent
    private LocalDate startDate;

    @NotNull
    private LocalDate endDate;
}
