package cz.muni.fi.pa165.soccermanager.dto.request;

import cz.muni.fi.pa165.soccermanager.dto.MatchScoreDto;
import java.time.LocalDate;
import javax.validation.constraints.FutureOrPresent;
import javax.validation.constraints.NotNull;
import lombok.Data;

@Data
public class UpdateMatchDto {

  private Long id;

  @NotNull
  @FutureOrPresent
  private LocalDate startDate;

  private String playPlace;

  private MatchScoreDto result;
}
