package cz.muni.fi.pa165.soccermanager.exception;

import java.net.URI;
import org.springframework.http.HttpStatus;
import org.zalando.problem.AbstractThrowableProblem;
import org.zalando.problem.spring.common.HttpStatusAdapter;

public class SportsClubException extends AbstractThrowableProblem {

  private static final String ROOT
      = "https://sports-club.cz/errors/";

  public SportsClubException(String code, String title, HttpStatus status, String detail) {
    super(URI.create(ROOT + code), title, new HttpStatusAdapter(status), detail);
  }

}
